Package: org.gradle.tooling

## [Java] Class ListenerFailedException

- org.gradle.tooling.ListenerFailedException

- Thrown whenever a listener fails with an exception, which in general implies that the build completed like it should, but that one of the listeners failed with an exception.

  Since:
    2.5

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ListenerFailedException (String message, List<? extends Throwable> failures)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List<? extends Throwable>` | `getCauses()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ListenerFailedException(String message, List<? extends Throwable> failures)

  - ### Method Detail

    - #### public List<? extends Throwable> getCauses()